diff -ruN tromi_original/tromi_files/game/gamemode.lua tromi_patched/tromi_files/game/gamemode.lua
--- tromi_original/tromi_files/game/gamemode.lua	2024-04-07 09:58:42.000000000 -0700
+++ tromi_patched/tromi_files/game/gamemode.lua	2024-04-13 14:02:30.646004901 -0700
@@ -1116,6 +1116,14 @@
         "fill", 216, 80,
         16 * self.grid.width, 16 * (self.grid.height)
     )
+    
+    love.graphics.setColor(0.1, 0.1, 0.1, 1)
+    for x = 1, self.grid.width - 1 do
+        love.graphics.line(216+(16*x), 81, 216+(16*x), 79+(16*self.grid.height))
+    end
+    for y = 1, self.grid.height - 1 do
+        love.graphics.line(217, 80+(16*y), 215+(16*self.grid.width), 80+(16*y))
+    end
 end
 
 function GameMode:drawReadyGo()
@@ -1134,9 +1142,15 @@
 function GameMode:draw(paused)
     self:drawBackground()
     self:drawFrame()
-    self:drawGrid()
-    self:drawPiece()
-    self:drawNextQueue(self.ruleset)
+    
+    if paused then
+        drawBigText("Pawsed.", 250, 240 - 14, 1000)
+    else
+        self:drawGrid()
+        self:drawPiece()
+        self:drawNextQueue(self.ruleset)
+    end
+    	
     if not self.training then self:drawScoringInfo() end
     self:drawReadyGo()
     self:drawCustom()
diff -ruN tromi_original/tromi_files/scene/game.lua tromi_patched/tromi_files/scene/game.lua
--- tromi_original/tromi_files/scene/game.lua	2024-03-29 12:21:58.000000000 -0700
+++ tromi_patched/tromi_files/scene/game.lua	2024-04-13 14:36:55.797133610 -0700
@@ -101,6 +101,12 @@
 			self:update(true)
 		end
 		self.grace_frames = 90
+	elseif self.game.ready_frames == 0 and not (self.game.game_over or self.game.game_completed) and e.input == "menu_decide" then
+	    self.paused = not self.paused
+	    playSEOnce("fall")
+	elseif self.paused and e.input == "menu_back" then
+	    self.paused = false
+	    scene = TitleScene()
     elseif e.input and string.sub(e.input, 1, 5) ~= "menu_" then
         self.inputs[e.input] = true
     end
